Bug 140000 - "Correct accidental use for cAPS LOCK key" in Autocorrect options needs documentation
Summary: "Correct accidental use for cAPS LOCK key" in Autocorrect options needs docum...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: sdc.blanco
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2021-01-29 15:29 UTC by sdc.blanco
Modified: 2021-02-03 10:33 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sdc.blanco 2021-01-29 15:29:16 UTC
According to bug 46383, comment 6

I enable CapsLock on keyboard and type aSDF. When I press space, CapsLock disables automatically and aSDF transforms to Asdf.

1. In Tools > AutoCorrect > AutoCorrect Options - Options tab,
disable all [M] options and [T] options, except for 
"Correct accidental use for cAPS LOCK key"

2.  Make sure "While Typing" is enabled in Tools > AutoCorrect > While Typing

3. Enable CAPS LOCK.

4. Use Default Paragraph Style (for safety's sake)

5. Enter: aSDF space   (That is, press Shift key and enter a, then release Shift key and enter "sdf" and then space).

Actual result:  Nothing happens.
Expected result:  as described above.  

Possibly a regression.

Tested with:

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 86c8c775bbefe333d684e12c99855a3c1de68051
CPU threads: 8; OS: Windows 10.0 Build 19041; UI render: Skia/Raster; VCL: win
Locale: en-US (en_DK); UI: en-US
Calc: threaded


Not documented in localhelp (and has survived for at least 9 years with no bug report about that).

SvxAutoCorrect::FnCorrectCapsLock 

https://opengrok.libreoffice.org/xref/core/editeng/source/misc/svxacorr.cxx?r=94306083#1131
Comment 1 sdc.blanco 2021-02-02 02:42:39 UTC
Works in Calc

1. Enable CapsLock 
2. Select a cell in Calc
3. type aSDF. (press Shift key and enter a, then release Shift key and enter "sdf" and then space)

Result:  CapsLock is disabled, aSDF transforms to Asdf.


Works in Draw and Impress
1. enable CapsLock
2. Make a textbox and type aSDF.

But does not work (afaict) in Writer.

Maybe first appeared in LO 3.4.

https://opengrok.libreoffice.org/xref/core/cui/source/tabpages/autocdlg.cxx?r=2554b311
Comment 2 sdc.blanco 2021-02-02 13:55:13 UTC
Works in Writer.  (used Safe Mode to reset my settings and user interface modifications to factory settings -- after which no problem).

Will convert this to a Documentation bug.
Comment 3 Commit Notification 2021-02-03 06:55:59 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/034fe242059b9b115ec97cce46888b65a1a2df33

tdf#140000 add missing option to AutoCorrect Options